Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class SCLRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.SCLRecord

    public final class SCLRecord

extends StandardRecord

Specifies the window's zoom magnification.

If this record isn't present then the windows zoom is 100%. see p384 Excel Dev Kit

Author:
  Andrew C. Oliver (acoliver at apache.org)

Field Summary
`static short` | `sid`

Constructor Summary
`SCLRecord()`
`SCLRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()`
`short` | `getDenominator()` Get the denominator field for the SCL record.
`short` | `getNumerator()` Get the numerator field for the SCL record.
`short` | `getSid()` return the non static version of the id for this record.
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setDenominator(short field_2_denominator)` Set the denominator field for the SCL record.
`void` | `setNumerator(short field_1_numerator)` Set the numerator field for the SCL record.
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### SCLRecord

    public SCLRecord()

### SCLRecord

    public SCLRecord(RecordInputStream in)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getNumerator

    public short getNumerator()

  Get the numerator field for the SCL record.

### setNumerator

    public void setNumerator(short field_1_numerator)

  Set the numerator field for the SCL record.

### getDenominator

    public short getDenominator()

  Get the denominator field for the SCL record.

### setDenominator

    public void setDenominator(short field_2_denominator)

  Set the denominator field for the SCL record.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD